in scala
class BigInt

[scala.serializable]
`class` BigInt
  `extends` scala.runtime.BoxedNumber
  `with` scala.ScalaObject

Author:
  Martin Odersky
Version:
  1.0, 15/07/2003

Constructor Summary
| `def` this (bigInteger: java.math.BigInteger)

Val Summary
| `val` bigInteger : java.math.BigInteger

Def Summary
| `def` % (that: scala.BigInt) : scala.BigInt Remainder of BigInts
| `def` & (that: scala.BigInt) : scala.BigInt Bitwise and of BigInts
| `def` &~ (that: scala.BigInt) : scala.BigInt Bitwise and-not of BigInts. Returns a BigInt whose value is (this & ~that).
| `def` * (that: scala.BigInt) : scala.BigInt Multiplication of BigInts
| `def` + (that: scala.BigInt) : scala.BigInt Addition of BigInts
| `def` - (that: scala.BigInt) : scala.BigInt Subtraction of BigInts
| `def` - : scala.BigInt Returns a BigInt whose value is the negation of this BigInt
| `def` / (that: scala.BigInt) : scala.BigInt Division of BigInts
| `def` /% (that: scala.BigInt) : scala.Tuple2[scala.BigInt, scala.BigInt] Returns a pair of two BigInts containing (this / that) and (this % that).
| `def` < (that: scala.BigInt) : scala.Boolean Less-than of BigInts
| `def` << (n: scala.Int) : scala.BigInt Leftshift of BigInt
| `def` <= (that: scala.BigInt) : scala.Boolean Less-than-or-equals comparison of BigInts
| `def` > (that: scala.BigInt) : scala.Boolean Greater-than comparison of BigInts
| `def` >= (that: scala.BigInt) : scala.Boolean Greater-than-or-equals comparison of BigInts
| `def` >> (n: scala.Int) : scala.BigInt (Signed) rightshift of BigInt
| `def` ^ (that: scala.BigInt) : scala.BigInt Bitwise exclusive-or of BigInts
| `def` abs : scala.BigInt Returns the absolute value of this BigInt
| `def` bitCount : scala.Int Returns the number of bits in the two's complement representation of this BigInt that differ from its sign bit.
| `def` bitLength : scala.Int Returns the number of bits in the minimal two's-complement representation of this BigInt, excluding a sign bit.
| `def` byteValue : scala.Byte Converts this BigInt to a `byte`. If the BigInt is too big to fit in a byte, only the low-order 8 bits are returned. Note that this conversion can lose information about the overall magnitude of the BigInt value as well as return a result with the opposite sign.
| `def` charValue : scala.Char Converts this BigInt to a `char`. If the BigInt is too big to fit in a char, only the low-order 16 bits are returned. Note that this conversion can lose information about the overall magnitude of the BigInt value and that it always returns a positive result.
| `def` clearBit (n: scala.Int) : scala.BigInt Returns a BigInt whose value is equivalent to this BigInt with the designated bit cleared.
| `def` compare (that: scala.BigInt) : scala.Int Compares this BigInt with the specified BigInt
| `def` doubleValue : scala.Double Converts this BigInt to a `double`. if this BigInt has too great a magnitude to represent as a float, it will be converted to `Float.NEGATIVE_INFINITY` or `Float.POSITIVE_INFINITY` as appropriate.
| `def` equals (that: scala.BigInt) : scala.Boolean Compares this BigInt with the specified BigInt for equality.
`override` | `def` equals (that: scala.Any) : scala.Boolean Compares this BigInt with the specified value for equality.
| `def` flipBit (n: scala.Int) : scala.BigInt Returns a BigInt whose value is equivalent to this BigInt with the designated bit flipped.
| `def` floatValue : scala.Float Converts this BigInt to a `float`. if this BigInt has too great a magnitude to represent as a float, it will be converted to `Float.NEGATIVE_INFINITY` or `Float.POSITIVE_INFINITY` as appropriate.
| `def` gcd (that: scala.BigInt) : scala.BigInt Returns the greatest common divisor of abs(this) and abs(that)
`override` | `def` hashCode : scala.Int Returns the hash code for this BigInt.
| `def` intValue : scala.Int Converts this BigInt to an `int`. If the BigInt is too big to fit in a char, only the low-order 32 bits are returned. Note that this conversion can lose information about the overall magnitude of the BigInt value as well as return a result with the opposite sign.
| `def` isProbablePrime (certainty: scala.Int) : scala.Boolean Returns true if this BigInt is probably prime, false if it's definitely composite.
| `def` longValue : scala.Long Converts this BigInt to a `long`. If the BigInt is too big to fit in a char, only the low-order 64 bits are returned. Note that this conversion can lose information about the overall magnitude of the BigInt value as well as return a result with the opposite sign.
| `def` lowestSetBit : scala.Int Returns the index of the rightmost (lowest-order) one bit in this BigInt (the number of zero bits to the right of the rightmost one bit).
| `def` max (that: scala.BigInt) : scala.BigInt Returns the maximum of this and that
| `def` min (that: scala.BigInt) : scala.BigInt Returns the minimum of this and that
| `def` mod (that: scala.BigInt) : scala.BigInt Returns a BigInt whose value is (this mod m). This method differs from `%' in that it always returns a non-negative BigInt.
| `def` modInverse (m: scala.BigInt) : scala.BigInt Returns a BigInt whose value is (the inverse of `this` modulo `m`).
| `def` modPow (exp: scala.BigInt, m: scala.BigInt) : scala.BigInt Returns a BigInt whose value is (`this` raised to the power of `exp` modulo `m`).
| `def` pow (exp: scala.Int) : scala.BigInt Returns a BigInt whose value is (`this` raised to the power of `exp`).
| `def` setBit (n: scala.Int) : scala.BigInt Returns a BigInt whose value is equivalent to this BigInt with the designated bit set.
| `def` shortValue : scala.Short Converts this BigInt to a `short`. If the BigInt is too big to fit in a byte, only the low-order 16 bits are returned. Note that this conversion can lose information about the overall magnitude of the BigInt value as well as return a result with the opposite sign.
| `def` signum : scala.Int Returns the sign of this BigInt, i.e. -1 if it is less than 0, +1 if it is greater than 0 0 if it is equal to 0
| `def` testBit (n: scala.Int) : scala.Boolean Returns true if and only if the designated bit is set.
| `def` toByteArray : scala.Array[scala.Byte] Returns a byte array containing the two's-complement representation of this BigInt. The byte array will be in big-endian byte-order: the most significant byte is in the zeroth element. The array will contain the minimum number of bytes required to represent this BigInt, including at least one sign bit.
| `def` toString (radix: scala.Int) : java.lang.String Returns the String representation in the specified radix of this BigInt.
`override` | `def` toString : java.lang.String Returns the decimal String representation of this BigInt.
| `def` | (that: scala.BigInt) : scala.BigInt Bitwise or of BigInts
| `def` ~ : scala.BigInt Returns the bitwise complement of this BigNum

Def inherited from scala.runtime.BoxedNumber
byteValue , charValue, doubleValue, floatValue, intValue, longValue, shortValue

Constructor Detail

`def` this (bigInteger: java.math.BigInteger)

Val Detail

`val` bigInteger : java.math.BigInteger

Def Detail

`def` % (that: scala.BigInt): scala.BigInt

  Remainder of BigInts

`def` & (that: scala.BigInt): scala.BigInt

  Bitwise and of BigInts

`def` &~ (that: scala.BigInt): scala.BigInt

  Bitwise and-not of BigInts. Returns a BigInt whose value is (this & ~that).

`def` * (that: scala.BigInt): scala.BigInt

  Multiplication of BigInts

`def` + (that: scala.BigInt): scala.BigInt

  Addition of BigInts

`def` - (that: scala.BigInt): scala.BigInt

  Subtraction of BigInts

`def` - : scala.BigInt

  Returns a BigInt whose value is the negation of this BigInt

`def` / (that: scala.BigInt): scala.BigInt

  Division of BigInts

`def` /% (that: scala.BigInt): scala.Tuple2[scala.BigInt, scala.BigInt]

  Returns a pair of two BigInts containing (this / that) and (this % that).

`def` < (that: scala.BigInt): scala.Boolean

  Less-than of BigInts

`def` << (n: scala.Int): scala.BigInt

  Leftshift of BigInt

`def` <= (that: scala.BigInt): scala.Boolean

  Less-than-or-equals comparison of BigInts

`def` > (that: scala.BigInt): scala.Boolean

  Greater-than comparison of BigInts

`def` >= (that: scala.BigInt): scala.Boolean

  Greater-than-or-equals comparison of BigInts

`def` >> (n: scala.Int): scala.BigInt

  (Signed) rightshift of BigInt

`def` ^ (that: scala.BigInt): scala.BigInt

  Bitwise exclusive-or of BigInts

`def` abs : scala.BigInt

  Returns the absolute value of this BigInt

`def` bitCount : scala.Int

  Returns the number of bits in the two's complement representation of this BigInt that differ from its sign bit.

`def` bitLength : scala.Int

  Returns the number of bits in the minimal two's-complement representation of this BigInt, excluding a sign bit.

`def` byteValue : scala.Byte

  Converts this BigInt to a `byte`. If the BigInt is too big to fit in a byte, only the low-order 8 bits are returned. Note that this conversion can lose information about the overall magnitude of the BigInt value as well as return a result with the opposite sign.

`def` charValue : scala.Char

  Converts this BigInt to a `char`. If the BigInt is too big to fit in a char, only the low-order 16 bits are returned. Note that this conversion can lose information about the overall magnitude of the BigInt value and that it always returns a positive result.

`def` clearBit (n: scala.Int): scala.BigInt

  Returns a BigInt whose value is equivalent to this BigInt with the designated bit cleared.

`def` compare (that: scala.BigInt): scala.Int

  Compares this BigInt with the specified BigInt

`def` doubleValue : scala.Double

  Converts this BigInt to a `double`. if this BigInt has too great a magnitude to represent as a float, it will be converted to `Float.NEGATIVE_INFINITY` or `Float.POSITIVE_INFINITY` as appropriate.

`def` equals (that: scala.BigInt): scala.Boolean

  Compares this BigInt with the specified BigInt for equality.

`override def` equals (that: scala.Any): scala.Boolean

  Compares this BigInt with the specified value for equality.

`def` flipBit (n: scala.Int): scala.BigInt

  Returns a BigInt whose value is equivalent to this BigInt with the designated bit flipped.

`def` floatValue : scala.Float

  Converts this BigInt to a `float`. if this BigInt has too great a magnitude to represent as a float, it will be converted to `Float.NEGATIVE_INFINITY` or `Float.POSITIVE_INFINITY` as appropriate.

`def` gcd (that: scala.BigInt): scala.BigInt

  Returns the greatest common divisor of abs(this) and abs(that)

`override def` hashCode : scala.Int

  Returns the hash code for this BigInt.

`def` intValue : scala.Int

  Converts this BigInt to an `int`. If the BigInt is too big to fit in a char, only the low-order 32 bits are returned. Note that this conversion can lose information about the overall magnitude of the BigInt value as well as return a result with the opposite sign.

`def` isProbablePrime (certainty: scala.Int): scala.Boolean

  Returns true if this BigInt is probably prime, false if it's definitely composite.

Parameters:
  `certainty -` a measure of the uncertainty that the caller is willing to tolerate: if the call returns true the probability that this BigInt is prime exceeds (1 - 1/2 ^ certainty). The execution time of this method is proportional to the value of this parameter.

`def` longValue : scala.Long

  Converts this BigInt to a `long`. If the BigInt is too big to fit in a char, only the low-order 64 bits are returned. Note that this conversion can lose information about the overall magnitude of the BigInt value as well as return a result with the opposite sign.

`def` lowestSetBit : scala.Int

  Returns the index of the rightmost (lowest-order) one bit in this BigInt (the number of zero bits to the right of the rightmost one bit).

`def` max (that: scala.BigInt): scala.BigInt

  Returns the maximum of this and that

`def` min (that: scala.BigInt): scala.BigInt

  Returns the minimum of this and that

`def` mod (that: scala.BigInt): scala.BigInt

  Returns a BigInt whose value is (this mod m). This method differs from `%' in that it always returns a non-negative BigInt.

`def` modInverse (m: scala.BigInt): scala.BigInt

  Returns a BigInt whose value is (the inverse of `this` modulo `m`).

`def` modPow (exp: scala.BigInt, m: scala.BigInt): scala.BigInt

  Returns a BigInt whose value is (`this` raised to the power of `exp` modulo `m`).

`def` pow (exp: scala.Int): scala.BigInt

  Returns a BigInt whose value is (`this` raised to the power of `exp`).

`def` setBit (n: scala.Int): scala.BigInt

  Returns a BigInt whose value is equivalent to this BigInt with the designated bit set.

`def` shortValue : scala.Short

  Converts this BigInt to a `short`. If the BigInt is too big to fit in a byte, only the low-order 16 bits are returned. Note that this conversion can lose information about the overall magnitude of the BigInt value as well as return a result with the opposite sign.

`def` signum : scala.Int

  Returns the sign of this BigInt, i.e. -1 if it is less than 0, +1 if it is greater than 0 0 if it is equal to 0

`def` testBit (n: scala.Int): scala.Boolean

  Returns true if and only if the designated bit is set.

`def` toByteArray : scala.Array[scala.Byte]

  Returns a byte array containing the two's-complement representation of this BigInt. The byte array will be in big-endian byte-order: the most significant byte is in the zeroth element. The array will contain the minimum number of bytes required to represent this BigInt, including at least one sign bit.

`def` toString (radix: scala.Int): java.lang.String

  Returns the String representation in the specified radix of this BigInt.

`override def` toString : java.lang.String

  Returns the decimal String representation of this BigInt.

`def` | (that: scala.BigInt): scala.BigInt

  Bitwise or of BigInts

`def` ~ : scala.BigInt

  Returns the bitwise complement of this BigNum